package egovframework.service;

import egovframework.utill.PageCriteria;
import egovframework.vo.NoticeVO;

import java.util.HashMap;
import java.util.List;

public interface NoticeService {

    int getNoticeTotalCount(HashMap<String, String> paramMap);

    List<NoticeVO> getNoticeList(PageCriteria criteria);

    void updateNoticeReadCount(HashMap<String, String> paramMap);

    NoticeVO getNotice(HashMap<String, String> paramMap);

}
